### File

`src/lib/select-row/select-row.options.ts`

### Index

###### Properties

- Optional compareWith
- Optional emitChanges
- Optional multiple
- Optional selected

### Properties

compareWith
`compareWith: `function``
Type : `function`
Optional

emitChanges
`emitChanges: `boolean``
Type : `boolean`
Optional

multiple
`multiple: `boolean``
Type : `boolean`
Optional

selected
`selected: `RowData[]``
Type : `RowData[]`
Optional

    export interface SelectRowOptions<RowData = unknown> {
      multiple?: boolean;
      selected?: RowData[];
      emitChanges?: boolean;
      compareWith?: (o1: RowData, o2: RowData) => boolean;
    }

# results matching ""

# No results matching ""